%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Uncomment this section, if using the second training set
%Loading up the data and defining new variables for workout session 1
t=jan7_data(:,1);
p=jan7_data(:,2);
h=jan7_data(:,3);
c=jan7_data(:,4);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%Uncomment this section, if using the first training set
%Loading up the data and defining new variables for workout session 2
% t=apr8_data(:,1);
% p=apr8_data(:,2);
% h=apr8_data(:,3);
% c=apr8_data(:,4);
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%Defining deviation variables
u=p-p(1);
y=h-h(1);

%Defining the X matrix
X=[y(1:end-1) u(1:end-1)];      
X=[y(1:end-1) [0; y(1:end-2)] u(1:end-1) [0; u(1:end-2)]];      

%Computing the parameters 
beta=inv(X'*X)*X'*y(2:end)

%Predicted outputs
yhat=X*beta;

%Computing the residuals
r=(y(2:end)-yhat);

%variance estimate
N=length(y)-1;
SSE=sum(r.^2)
Sigma2=1/(N-4)*sum(r.^2)

%Parameter covariance
Var_beta=inv(X'*X)*Sigma2